package de.hdm_stuttgart.mi.sd1.task1.extra;

/**
 * Representing week days.
 */
public enum Day {
    /**
     * Monday
     */
    MONDAY,
    /**
     * Tuesday
     */
    TUESDAY,
    /**
     * Wednesday
     */
    WEDNESDAY,
    /**
     * Thursday
     */
    THURSDAY,
    /**
     * Friday
     */
    FRIDAY,
    /**
     * Saturday
     */
    SATURDAY(100),
    /**
     * Sunday
     */
    SUNDAY(200);

    Day() {
        serviceFee = 0;
    }
    Day(final int serviceFee) {
        this.serviceFee = serviceFee;
    }

    /**
     * Week day dependent service fee.
     */
    public final int serviceFee;
}
