package de.hdm_stuttgart.mi.sd1.task2;

/**
 * <p>SI and imperial length units.</p>
 */
public enum Unit {
    /**
     * <p>SI metric length 1 meter (m)</p>
     */
    METER,
    /**
     * <p>Inch: Imperial length defined as 0.0254m</p>
     */
    INCH,
    /**
     * <p>Imperial mile defined as 1609.344m</p>
     */
    MILE_IMPERIAL,
    /**
     * <p>Nautical mile defined as 1852m.</p>
     */
    MILE_NAUTICAL

}
